%global momorel 2

Name:           perl-PPIx-Utilities
Version:        1.000001
Release:        %{momorel}m%{?dist}
Summary:        Extensions to PPI
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PPIx-Utilities/
Source0:        http://www.cpan.org/authors/id/E/EL/ELLIOTJS/PPIx-Utilities-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-base
BuildRequires:  perl-Data-Dumper
BuildRequires:  perl-Exception-Class
BuildRequires:  perl-Module-Build
BuildRequires:  perl-PPI >= 1.208
BuildRequires:  perl-Readonly
BuildRequires:  perl-Readonly-XS
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Task-Weaken
BuildRequires:  perl-Test-Deep
BuildRequires:  perl-Test-Simple
Requires:       perl-base
Requires:       perl-Exception-Class
Requires:       perl-PPI >= 1.208
Requires:       perl-Readonly
Requires:       perl-Readonly-XS
Requires:       perl-Scalar-List-Util
Requires:       perl-Task-Weaken
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a collection of functions for dealing with PPI objects, many of
which originated in Perl::Critic. They are organized into modules by the
kind of PPI class they relate to, by replacing the "PPI" at the front of
the module name with "PPIx::Utilities", e.g. functionality related to
PPI::Nodes is in PPIx::Utilities::Node.

%prep
%setup -q -n PPIx-Utilities-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README xt
%{perl_vendorlib}/PPIx/Utilities
%{perl_vendorlib}/PPIx/Utilities.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.000001-2m)
- full rebuild for mo7 release

* Wed Jun 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000001-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
